> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete

> Delete removes an SSF receiver stream and stops receiving events from the associated transmitter.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples delete /api/v1/ssf-receiver-streams/{id}
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/ssf-receiver-streams/{id}:
    delete:
      tags:
        - SSF Receiver
      summary: Delete
      description: >-
        Delete removes an SSF receiver stream and stops receiving events from
        the associated transmitter.
      operationId: c1.api.ssf_receiver.v1.SSFReceiverStreamService.Delete
      parameters:
        - in: path
          name: id
          required: true
          schema:
            description: The ID of the SSF receiver stream to delete.
            readOnly: false
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.ssf_receiver.v1.SSFReceiverStreamServiceDeleteRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.ssf_receiver.v1.SSFReceiverStreamServiceDeleteResponse
          description: SSFReceiverStreamServiceDeleteResponse is empty on success.
      x-codeSamples:
        - lang: go
          label: Delete
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.SSFReceiverStream.Delete(ctx, operations.C1APISSFReceiverV1SSFReceiverStreamServiceDeleteRequest{\n        ID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.SSFReceiverStreamServiceDeleteResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.ssfReceiverStream.delete({
                id: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.ssf_receiver.v1.SSFReceiverStreamServiceDeleteRequestInput:
      description: >-
        SSFReceiverStreamServiceDeleteRequest identifies the SSF receiver stream
        to delete.
      title: Ssf Receiver Stream Service Delete Request
      type: object
      x-speakeasy-name-override: SSFReceiverStreamServiceDeleteRequest
    c1.api.ssf_receiver.v1.SSFReceiverStreamServiceDeleteResponse:
      description: SSFReceiverStreamServiceDeleteResponse is empty on success.
      title: Ssf Receiver Stream Service Delete Response
      type: object
      x-speakeasy-name-override: SSFReceiverStreamServiceDeleteResponse
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````